Bug 1867050 - cannot see group yaml in the console when group has special characters.
Summary: cannot see group yaml in the console when group has special characters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1845624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 09:11 UTC by XiaochuanWang
Modified: 2020-09-08 12:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1845624
Environment:
Last Closed: 2020-09-08 10:54:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Group Details Page (163.78 KB, image/png)
2020-08-21 06:15 UTC, Yadan Pei
no flags Details
Group YAML Page (206.71 KB, image/png)
2020-08-21 06:15 UTC, Yadan Pei
no flags Details
Group RoleBindings Page (123.87 KB, image/png)
2020-08-21 06:16 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6260 None closed [release-4.5] Bug 1867050: Use `match.path` to build tab paths 2020-09-08 12:08:07 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:29 UTC

Comment 3 Yadan Pei 2020-08-21 06:15:00 UTC
1. create a group with special character '(' and ')'
oc adm groups new '_UO.Sistemas_(50000374)'
2. check group info on console at User Management -> Groups, Details, YAML and RoleBinding page are shown with correct info, see screenshots

Verified on 4.5.0-0.nightly-2020-08-20-235458

Comment 4 Yadan Pei 2020-08-21 06:15:23 UTC
Created attachment 1712123 [details]
Group Details Page

Comment 5 Yadan Pei 2020-08-21 06:15:48 UTC
Created attachment 1712124 [details]
Group YAML Page

Comment 6 Yadan Pei 2020-08-21 06:16:13 UTC
Created attachment 1712125 [details]
Group RoleBindings Page

Comment 8 errata-xmlrpc 2020-09-08 10:54:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.